GET api/v1/get_customer_by_email?email={email}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
email

string

Required

Body Parameters

None.

Response Information

Resource Description

Customer
NameDescriptionTypeAdditional information
customer_id

integer

None.

role_id

integer

None.

first_name

string

None.

last_name

string

None.

email

string

None.

password

string

None.

created_on

date

None.

is_active

boolean

None.

is_logical_deleted

boolean

None.

login_count

integer

None.

last_login_date

date

None.

company_name

string

None.

contact_no

string

None.

company_type

integer

None.

address

string

None.

state

integer

None.

city

string

None.

country

integer

None.

postal_code

string

None.

is_guest

boolean

None.

otp

string

None.

otpexpiry

date

None.

token

globally unique identifier

None.

tokenexpiry

date

None.

modified_by

integer

None.

modified_on

date

None.

created_by

integer

None.

password_reset

boolean

None.

custtype

integer

None.

nabell_id

boolean

None.

Response Formats

application/json, text/json

Sample:
{
  "customer_id": 1,
  "role_id": 2,
  "first_name": "sample string 3",
  "last_name": "sample string 4",
  "email": "sample string 5",
  "password": "sample string 6",
  "created_on": "2026-03-23T01:49:41.7904543+00:00",
  "is_active": true,
  "is_logical_deleted": true,
  "login_count": 1,
  "last_login_date": "2026-03-23T01:49:41.7904543+00:00",
  "company_name": "sample string 7",
  "contact_no": "sample string 8",
  "company_type": 1,
  "address": "sample string 9",
  "state": 1,
  "city": "sample string 10",
  "country": 1,
  "postal_code": "sample string 11",
  "is_guest": true,
  "otp": "sample string 13",
  "otpexpiry": "2026-03-23T01:49:41.7904543+00:00",
  "token": "bfe0f610-25b4-4847-b750-3030e680b993",
  "tokenexpiry": "2026-03-23T01:49:41.7904543+00:00",
  "modified_by": 1,
  "modified_on": "2026-03-23T01:49:41.7904543+00:00",
  "created_by": 1,
  "password_reset": true,
  "custtype": 1,
  "nabell_id": true
}

text/html

Sample:
{"$id":"1","customer_id":1,"role_id":2,"first_name":"sample string 3","last_name":"sample string 4","email":"sample string 5","password":"sample string 6","created_on":"2026-03-23T01:49:41.7904543+00:00","is_active":true,"is_logical_deleted":true,"login_count":1,"last_login_date":"2026-03-23T01:49:41.7904543+00:00","company_name":"sample string 7","contact_no":"sample string 8","company_type":1,"address":"sample string 9","state":1,"city":"sample string 10","country":1,"postal_code":"sample string 11","is_guest":true,"otp":"sample string 13","otpexpiry":"2026-03-23T01:49:41.7904543+00:00","token":"bfe0f610-25b4-4847-b750-3030e680b993","tokenexpiry":"2026-03-23T01:49:41.7904543+00:00","modified_by":1,"modified_on":"2026-03-23T01:49:41.7904543+00:00","created_by":1,"password_reset":true,"custtype":1,"nabell_id":true}

application/xml, text/xml

Sample:
<Customer xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BellaArmorAPI.Models">
  <address>sample string 9</address>
  <city>sample string 10</city>
  <company_name>sample string 7</company_name>
  <company_type>1</company_type>
  <contact_no>sample string 8</contact_no>
  <country>1</country>
  <created_by>1</created_by>
  <created_on>2026-03-23T01:49:41.7904543+00:00</created_on>
  <customer_id>1</customer_id>
  <custtype>1</custtype>
  <email>sample string 5</email>
  <first_name>sample string 3</first_name>
  <is_active>true</is_active>
  <is_guest>true</is_guest>
  <is_logical_deleted>true</is_logical_deleted>
  <last_login_date>2026-03-23T01:49:41.7904543+00:00</last_login_date>
  <last_name>sample string 4</last_name>
  <login_count>1</login_count>
  <modified_by>1</modified_by>
  <modified_on>2026-03-23T01:49:41.7904543+00:00</modified_on>
  <nabell_id>true</nabell_id>
  <otp>sample string 13</otp>
  <otpexpiry>2026-03-23T01:49:41.7904543+00:00</otpexpiry>
  <password>sample string 6</password>
  <password_reset>true</password_reset>
  <postal_code>sample string 11</postal_code>
  <role_id>2</role_id>
  <state>1</state>
  <token>bfe0f610-25b4-4847-b750-3030e680b993</token>
  <tokenexpiry>2026-03-23T01:49:41.7904543+00:00</tokenexpiry>
</Customer>

multipart/form-data

Sample:
<Customer xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BellaArmorAPI.Models"><address>sample string 9</address><city>sample string 10</city><company_name>sample string 7</company_name><company_type>1</company_type><contact_no>sample string 8</contact_no><country>1</country><created_by>1</created_by><created_on>2026-03-23T01:49:41.7904543+00:00</created_on><customer_id>1</customer_id><custtype>1</custtype><email>sample string 5</email><first_name>sample string 3</first_name><is_active>true</is_active><is_guest>true</is_guest><is_logical_deleted>true</is_logical_deleted><last_login_date>2026-03-23T01:49:41.7904543+00:00</last_login_date><last_name>sample string 4</last_name><login_count>1</login_count><modified_by>1</modified_by><modified_on>2026-03-23T01:49:41.7904543+00:00</modified_on><nabell_id>true</nabell_id><otp>sample string 13</otp><otpexpiry>2026-03-23T01:49:41.7904543+00:00</otpexpiry><password>sample string 6</password><password_reset>true</password_reset><postal_code>sample string 11</postal_code><role_id>2</role_id><state>1</state><token>bfe0f610-25b4-4847-b750-3030e680b993</token><tokenexpiry>2026-03-23T01:49:41.7904543+00:00</tokenexpiry></Customer>